# Copyright © VNG Realisatie 2022
# Licensed under the EUPL

apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: txlog-api-internal-tls
spec:
  commonName: txlog-api-fsc-nlx-txlog-api
  dnsNames:
    - txlog-api-fsc-nlx-txlog-api
  issuerRef:
    name: internal
  duration: 8760h # 1 year
  renewBefore: 720h # 30 days
  secretName: txlog-api-internal-tls
  privateKey:
    size: 4096
